Package org.apache.synapse.commons.evaluators

# Class EvaluatorConstants

java.lang.Object
org.apache.synapse.commons.evaluators.EvaluatorConstants

public class EvaluatorConstants extends Object
Constants used through out the evaluators

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `EvaluatorConstants.URI_FRAGMENTS`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AND`
  `static final String`
  `CONDITION`
  `static final String`
  `CONDITIONS`
  `static final String`
  `DEFAULT_PRIORITY`
  `static final String`
  `EMPTY_PREFIX`
  `static final String`
  `EQUAL`
  `static final String`
  `HEADER`
  `static final String`
  `MATCH`
  `static final String`
  `NOT`
  `static final String`
  `OR`
  `static final String`
  `PARAM`
  `static final String`
  `PRIORITY`
  `static final String`
  `PROPERTY`
  `static final String`
  `REGEX`
  `static final String`
  `SOAP`
  `static final String`
  `SOURCE`
  `static final String`
  `SYNAPSE_NAMESPACE`
  `static final String`
  `TYPE`
  `static final String`
  `URL`
  `static final String`
  `VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvaluatorConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AND

    public static final String AND
    See Also:
      - Constant Field Values

  - ### OR

    public static final String OR
    See Also:
      - Constant Field Values

  - ### NOT

    public static final String NOT
    See Also:
      - Constant Field Values

  - ### MATCH

    public static final String MATCH
    See Also:
      - Constant Field Values

  - ### EQUAL

    public static final String EQUAL
    See Also:
      - Constant Field Values

  - ### HEADER

    public static final String HEADER
    See Also:
      - Constant Field Values

  - ### PARAM

    public static final String PARAM
    See Also:
      - Constant Field Values

  - ### URL

    public static final String URL
    See Also:
      - Constant Field Values

  - ### PROPERTY

    public static final String PROPERTY
    See Also:
      - Constant Field Values

  - ### SOAP

    public static final String SOAP
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### SOURCE

    public static final String SOURCE
    See Also:
      - Constant Field Values

  - ### REGEX

    public static final String REGEX
    See Also:
      - Constant Field Values

  - ### VALUE

    public static final String VALUE
    See Also:
      - Constant Field Values

  - ### CONDITIONS

    public static final String CONDITIONS
    See Also:
      - Constant Field Values

  - ### CONDITION

    public static final String CONDITION
    See Also:
      - Constant Field Values

  - ### PRIORITY

    public static final String PRIORITY
    See Also:
      - Constant Field Values

  - ### DEFAULT_PRIORITY

    public static final String DEFAULT_PRIORITY
    See Also:
      - Constant Field Values

  - ### SYNAPSE_NAMESPACE

    public static final String SYNAPSE_NAMESPACE
    See Also:
      - Constant Field Values

  - ### EMPTY_PREFIX

    public static final String EMPTY_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EvaluatorConstants

    public EvaluatorConstants()